

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// Button
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

  .m-button{
    
    border-radius: var(--m-border-radius-pill);
    outline: 0;
    padding: 3px 18px;
    font-size: 14px;
    display: flex;
    align-items: center;
    justify-content: center; 
    transition: color 0.3s ease-in-out, 
    background-color 0.3s ease-in-out, 
    border-color 0.3s ease-in-out,
    box-shadow 0.15s ease-in-out;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    cursor: pointer;

    &.medium{
      height: 28px;
    }
  
    &.large {
      padding: 12px 18px;
      font-weight: bold;
      width: 280px;
    }

    &:disabled{
      background-color: var(--m-color-grey);
      color: var(--m-color-grey-text-dark);
      min-height: 42px;
      &:hover {
        cursor: default;
        background-color: var(--m-color-grey);
        border-color: var(--m-color-grey);
        color: var(--m-color-grey-text-dark);
        
      }
    }
  }

  .m-button-primary{
    @extend .m-button;
    background-color: var(--m-color-primary);
    color : var(--m-color-primary-text);
    border :1px solid transparent;
    &:hover {
      border: 1px solid var(--m-color-primary);
      color:var(--m-color-primary);
      background-color: var(--m-color-primary-text);
    }
  }

  .m-button-secondary{
    @extend .m-button;
    background-color: var(--m-color-secondary-text);
    color : var(--m-color-secondary);
    border: 1px solid var(--m-color-secondary);
    justify-content: space-evenly; 
    &:hover {
      color:var(--m-color-secondary-text);
      background-color: var(--m-color-secondary);
      ng-miam-icon {
        svg{
          fill : var(--m-color-secondary-text)
        }
      }
    } 

  }

  .m-button-grey{
    @extend .m-button;
    background-color: var(--m-color-grey);
    color : var(--m-color-grey-text);
    border: 1px solid var(--m-color-grey-text);

    &:hover {
      background-color: var(--m-color-grey-text);
      color : var(--m-color-primary-text);
    } 
  }

  .m-button-primary-toggle{
    @extend .m-button;
    background-color: var(--m-color-primary);
    color : var(--m-color-primary-text);
    border: none;
    &:hover {
      background-color: var(--m-color-primary-dark);
      color : var(--m-color-primary-text);
    } 

    &:disabled {
      border: 1px solid var(--m-color-primary);
      color:var(--m-color-primary);
      background-color: var(--m-color-primary-text);
    }
  }

  .m-button-primary-outlined{
    @extend .m-button;
    background-color: var(--m-color-primary-text);
    color : var(--m-color-primary);
    border: 1px solid var(--m-color-primary);
    justify-content: space-evenly; 
    &:hover {
      color:var(--m-color-primary-text);
      background-color: var(--m-color-primary);
      ng-miam-icon {
        svg{
          fill : var(--m-color-primary-text)
        }
      }
    } 

  }

  .m-button-fab{
    @extend .m-button;
    border-radius: var( --m-border-radius-circle);
    outline: 0;
    padding: 8px;
  
    &:disabled{
      fill: var(--m-color-grey-text-dark);
      &:hover {
        fill: var(--m-color-grey-text-dark);
      }
    }
  }

  .m-button-fab-primary{
    @extend .m-button-fab;
    background-color: var(--m-color-primary);
    fill : var(--m-color-primary-text);
    border :1px solid transparent;
    &:hover {
      border: 1px solid var(--m-color-primary-text);
      path{
        fill:var(--m-color-primary);
      }
      background-color: var(--m-color-primary-text);
    }
  }

  .m-button-fab-secondary{
    @extend .m-button-fab;
    background-color: var(--m-color-secondary-text);
    fill : var(--m-color-secondary);
    border: 1px solid var(--m-color-secondary);
  
    &:hover {
      fill: var(--m-color-secondary-text);
      background-color: var(--m-color-secondary);
    } 
   
  }

  .m-button-fab-grey{
    @extend .m-button-fab;
    @extend .m-button-grey;
    background-color: #fff;
    border: none;
  }


//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// Texte
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

.link {

}
  

